package cn.com.ctop.toutiao.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 头条视频数据清洗信息
 * @author jeecg-boot
 * @date   2020-12-21
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_video_etl_info")
public class BytedanceVideoEtlInfo {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**视频唯一标识*/
	private String videoCode;
	/**初次产生消耗时间*/
	private String stateDate;
	/**url*/
	private String url;
	/**coverUrl*/
	private String coverUrl;
	/**companyName*/
	private String companyName;
	/**planId*/
	private String planId;
	/**planName*/
	private String planName;
	/**clipId*/
	private String clipId;
	/**clipName*/
	private String clipName;
	/**shotId*/
	private String shotId;
	/**shotName*/
	private String shotName;
	/**singleWeekCost*/
	private BigDecimal singleWeekCost;
	/**twoWeekCost*/
	private BigDecimal twoWeekCost;
	/**fourWeekCost*/
	private BigDecimal fourWeekCost;
	/**总消耗*/
	private BigDecimal totalCost;
	/**clickNum*/
	private Long clickNum;
	/**showNum*/
	private Long showNum;
	/**activeNum*/
	private Long activeNum;
	/**convertNum*/
	private Long convertNum;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
	/**effectDate*/
	private String effectDate;
	/**faddishDate*/
	private String faddishDate;
	/**effectDayNum*/
	private Integer effectDayNum;
	/**faddishDayNum*/
	private Integer faddishDayNum;
}
